<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Group Call</title>
    <!-- <script async data-id="five-server" src="https://192.168.1.17:8080/fiveserver.js"></script> -->
    <script src="https://cdn.socket.io/4.6.0/socket.io.min.js"
    integrity="sha384-c79GN5VsunZvi+Q/WObgk2in0CbZsHnjEqvFxC5DxHn9lTfNce2WW6h2pH6u/kF+"
    crossorigin="anonymous"></script>
    <script src="https://unpkg.com/peerjs@1.4.7/dist/peerjs.min.js"></script>
    <style>
      .remote-video {
        display: inline-block;
        border: 1px solid #cddfe7;
        box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
        border-radius: 5px;
        width: 300px;
      }

      .local-video {
        display: inline-block;
        border: 1px solid #cddfe7;
        box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
        border-radius: 5px;
        width: 300px;
      }
    </style>
</head>
<body>
    <button id="createButton">Create Room</button> <br /><br />

    <!-- Input field to enter room ID -->
    <input type="text" id="roomIdInput" placeholder="Enter Room ID">

    <!-- Button to join the room -->
    <button id="joinButton">Join Room</button>

    <div>
      <h2>List Room</h2>
      <ul id="rooms">

      </ul>
    </div>

    <!-- Display room information -->
    <div id="roomInfo">
        <h2>Room Information</h2>
        <p>Room ID: <span id="roomId"></span></p>
        <p>Users in Room:</p>
        <ul id="userList"></ul>
    </div>

    <div style="margin: 1rem px;width: 100%;min-height: 200px;background: rgb(229, 229, 229);" class="log"></div>

    <div class="video-container">
      <video autoplay class="remote-video" id="remote-video"></video>
      <video autoplay muted class="local-video" id="local-video"></video>
    </div>

    <script>window.onerror = function(e){$(".log").text(e);}</script>
    <!-- JavaScript -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
    <script src="./scripts/clientv2.js"></script>
</body>
</html>
